
<div class="container ">
    <h1>自动识别代码</h1>
    <code et>
    &lt;?php

    namespace App;

    use Illuminate\Notifications\Notifiable;
    use Illuminate\Contracts\Auth\MustVerifyEmail;
    use Illuminate\Foundation\Auth\User as Authenticatable;

    class User extends Authenticatable
    {
        use Notifiable;

        /**
         * The attributes that are mass assignable.
         *
         * @var array
         */
        protected $fillable = [
            'name', 'email', 'password',
        ];

        /**
         * The attributes that should be hidden for arrays.
         *
         * @var array
         */
        protected $hidden = [
            'password', 'remember_token',
        ];
    }
        
    </code>
    <h1>指定代码类型</h1>
    <code et type="text/php">    
    namespace Test;

    /**
     * 可变参数测试
     */
    class VariableParameter 
    {
        public function variableParameter($p1, $p2, $p3){
            echo($p1);
            echo($p2);
            echo($p3);
        }
        public function variableParameter2(...$parameters){
            print_r($parameters);
        }    
    }
    $vp = new VariableParameter();
    $vp->variableParameter(...['aaaa', 'bbbb', 'cccccc']);
    /*
    输出结果
    aaaa
    bbbb
    cccccc
     */
    $vp->variableParameter2('aaaa', 'bbbb', 'cccccc');
    /*
    输出结果
    ['aaaa', 'bbbb', 'cccccc']
     */
    </code>
    <h1>指定代码类型:匿名类</h1>
    <code et type="text/php">    
    $table = 'test';
    $cls = new class($table){
        private $table = null;
        public function __construct($table){
            $this->table = $table;
        }
        public function __call($method, $parameters)
        {
            if($method == 'getTable'){
                return $this->table;
            }
            return new class{ public function __call($method, $parameters){ return $this;} };
        }
    }; 

    $cls->getTable();
    // 输出结果  test

    </code>
</div>    